Bug 1498 - user.SAMBA_PAI EA is stored in invalid order
user.SAMBA_PAI EA is stored in invalid order
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.8
All All
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-01 05:58 UTC by SATOH Fumiyasu
Modified: 2005-08-24 10:28 UTC (History)
0 users

See Also:


Attachments
Proposed patch. (847 bytes, patch)
2004-07-01 05:59 UTC, SATOH Fumiyasu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description SATOH Fumiyasu 2004-07-01 05:58:35 UTC
An user.SAMBA_PAI EA must have values in the following
order (described in source/smbd/posix_acls.c):

    1 version
    2 flag
    3 num_entries
    4 num_default_entiries
    5 entiries ...
    6 default_entries
   
but create_pai_buf() function stores PAI values in the following
order:

    1 version
    2 flag
    3 num_entries
    4 num_default_entiries
    5 default_entries
    6 entiries ...
Comment 1 SATOH Fumiyasu 2004-07-01 05:59:45 UTC
Created attachment 551 [details]
Proposed patch.
Comment 2 Jeremy Allison 2004-10-27 11:11:39 UTC
Applied - thanks !
Jeremy.
Comment 3 Gerald (Jerry) Carter 2005-02-07 09:18:54 UTC
originally reported against 3.0.8pre1.  Cleaning up 
non-production versions.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:28:14 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.